
Redmine - Feature #33002

Include attachments in news post notifications

2020-02-13 20:48 - Виктор Воеводский

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed   

Description

There are no files in news notifications. Can this be implemented as in Issue?

 

Related issues:

Related to Redmine - Feature #16006: Include attachments in forum post notifi... Closed

Associated revisions

Revision 19528 - 2020-02-24 04:19 - Go MAEDA

Include attachments in news post notifications (#33002).

Patch by Yuichi HARADA.

History

#1 - 2020-02-14 00:45 - Go MAEDA

- Category changed from News to Email notifications

#2 - 2020-02-14 01:29 - Go MAEDA

- Related to Feature #16006: Include attachments in forum post notifications added

#3 - 2020-02-18 07:25 - Yuichi HARADA

- File 33002-include-attachments-in-news-added-notifications.patch added

- File news-notification-include-attachments.png added

I included the attachments in the notifications when the news was added.

 news-notification-include-attachments.png 

diff --git a/app/views/mailer/news_added.html.erb b/app/views/mailer/news_added.html.erb

index daf250adf..992321930 100644

--- a/app/views/mailer/news_added.html.erb

+++ b/app/views/mailer/news_added.html.erb

@@ -2,3 +2,11 @@

 <em><%= @news.author.name %></em>

 <%= textilizable(@news, :description, :only_path => false) %>

+

+<% if @news.attachments.any? -%>

+<fieldset class="attachments"><legend><%= l(:label_attachment_plural) %></legend>

+<% @news.attachments.each do |attachment| -%>

+  <%= link_to_attachment attachment, :download => true, :only_path => false %> (<%= number_to_human_size(atta

chment.filesize) %>)<br />

+<% end -%>

+</fieldset>

+<% end -%>

\ No newline at end of file

diff --git a/app/views/mailer/news_added.text.erb b/app/views/mailer/news_added.text.erb

index c8ae3035f..65e6a404f 100644

--- a/app/views/mailer/news_added.text.erb
+++ b/app/views/mailer/news_added.text.erb

@@ -3,3 +3,10 @@

 <%= @news.author.name %>

 <%= @news.description %>

+

+<% if @news.attachments.any? -%>

+---<%= l(:label_attachment_plural).ljust(37, '-') %>

+<% @news.attachments.each do |attachment| -%>

+<%= attachment.filename %> (<%= number_to_human_size(attachment.filesize) %>)

+<% end -%>

+<% end -%>

\ No newline at end of file

#4 - 2020-02-19 06:14 - Go MAEDA

- Subject changed from News attachments in mail. to Include attachments in news post notifications

- Target version set to 4.2.0

LGTM. Setting the target version to 4.2.0.

#5 - 2020-02-24 04:19 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.

Files

Issue.png 6.68 KB 2020-02-13 Виктор Воеводский

33002-include-attachments-in-news-added-notifications.patch 4.19 KB 2020-02-18 Yuichi HARADA

news-notification-include-attachments.png 255 KB 2020-02-18 Yuichi HARADA
